Bug 1013786 - pppoe connection blocks boot when unconnectable
pppoe connection blocks boot when unconnectable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 14:59 EDT by Marek Greško
Modified: 2013-10-08 06:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 06:05:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Greško 2013-09-30 14:59:28 EDT
Description of problem:
When using network.service instead of NetworkManager and setup persistent pppoe connection it is not possible to start Login service when the connection is not available and thus it is not possible to login to the machine.

Version-Release number of selected component (if applicable):
initscripts-9.47-1.fc19.x86_64

How reproducible:
When pppoe connection is not available.

Steps to Reproduce:
1. Disable NetworkManager service.
2. Enable network service.
3. Setup network devices including at least one pppoe connection.
4. Make the connection not available by unplugging DSL cable from bridge.

Actual results:
You do not get login screen, only systemd reporting the network service is restarting and cannot start login service.

Expected results:
The pppoe daemon starts on background and network service finishes successfully to make machina available for logging in althought without internet connection.

Additional info:
Comment 1 Lukáš Nykrýn 2013-10-03 09:57:10 EDT
Can you please attach here output of journal? http://freedesktop.org/wiki/Software/systemd/Debugging/
Comment 2 Marek Greško 2013-10-07 15:25:49 EDT
Sorry, I am unable to reproduce. Maybe my assumption that it is related to pppoe connection was false. I cannot find anything useful in the logs.

As I remember after boot it was not possible to start Login service (probably due to dependencies) and network service was restarting. It was reproducable after reboot. Then I turned off DSL router (in bridge mode), then turned on and after reboot everything worked.

Now I tried to disconnect DSL cable, reboot, but everything works.

I can see nothing related to network service in journal:

sep 27 18:43:03 hostname systemd[1]: Failed to register to bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy b
sep 27 18:44:08 hostname systemd[1]: sssd.service operation timed out. Terminating.
sep 27 18:44:08 hostname systemd[1]: Failed to start System Security Services Daemon.
sep 27 18:44:08 hostname systemd[1]: Unit sssd.service entered failed state.
sep 27 18:44:08 hostname systemd[1]: ntpd.service operation timed out. Terminating.
sep 27 18:44:08 hostname systemd[1]: Failed to start Network Time Service.
sep 27 18:44:08 hostname systemd[1]: Unit ntpd.service entered failed state.
sep 27 18:44:08 hostname systemd[1]: systemd-logind.service operation timed out. Terminating.
sep 27 18:44:08 hostname systemd[1]: Failed to start Login Service.
sep 27 18:44:08 hostname systemd[1]: Unit systemd-logind.service entered failed state.
sep 27 18:44:08 hostname systemd[1]: systemd-logind.service holdoff time over, scheduling restart.
Comment 3 Lukáš Nykrýn 2013-10-08 06:05:56 EDT
Ok, so closing this bug as it is not reproducible, but I think that there might be something related to https://bugzilla.redhat.com/show_bug.cgi?id=983688.

Note You need to log in before you can comment on or make changes to this bug.